//---
//	config - Compile-time generate configuration
//---

#ifndef GINT_CONFIG
#define GINT_CONFIG

#include <gint/defs/types.h>

/* GINT_VERSION: Latest tag and number of additional commits
     "2.1.0"   = Release 2.1.0
     "2.1.1-5" = 5 commits after release 2.1.1 */
#define GINT_VERSION "2.7.0"

/* GINT_HASH: Commit hash with 7 digits
     0x03f7c0a0 = Commit 3f7c0a0 */
#define GINT_HASH 0x0000000

/* GINT_USER_VRAM: Selects whether to store VRAMs in the user stack (occupying
   350k/512k of the area) or in the system stack (the default). (fx-CG 50) */
/* #undef GINT_USER_VRAM */

/* GINT_STATIC_GRAY: Selects whether additional gray VRAMs are allocated
   statically or in the system heap (fx-9860G) */
/* #undef GINT_STATIC_GRAY */

/* GINT_KMALLOC_DEBUG: Selects whether kmalloc debug functions are enabled
   (these are mainly data structure integrity checks and information that make
   sense for a developer). This is independent from statistics, which can be
   enabled or disabled at runtime. */
/* #undef GINT_KMALLOC_DEBUG */

#endif /* GINT_CONFIG */
